Subject: [Patch v7 3/3] usb: dwc3: qcom: Add device tree binding

From: [email-masked] (Ivan T. Ivanov)
Date: Wed, 02 Jul 2014 11:43:25 +0300

Hi, 

On Tue, 2014-07-01 at 14:47 -0500, Rob Herring wrote:
> On Tue, Jul 1, 2014 at 1:01 PM, Andy Gross <[email-masked]> wrote:
> > On Tue, Jul 01, 2014 at 12:04:35AM -0500, Rob Herring wrote:

<snip>

> > <snip>
> >
> >> > +
> >> > +                       ranges;
> >> > +
> >> > +                       status = "disabled";
> >> > +
> >> > +                       dwc3 at 11000000 {
> >> > +                               compatible = "snps,dwc3";
> >>
> >> This sub-node is just wrong. Why can't you have a single node with '
> >> "qcom,dwc3", "snps,dwc3" ' for the compatible property? All you are
> >> adding here is clocks. Does the Synopsys block have no clocks?
> >>
> >> I guess this is copied from other broken dwc3 bindings... That doesn't
> >> mean you have to copy it.
> >
> > The dwc3 core does not deal with clocks.  That is why everyone has a wrapper.
> > That, in addition to pm, has to be handled from the wrapper.  That's my take
> > anyway.  I am sure Felipe can speak more to this.
> 
> That is a Linux driver issue which is irrelevant to the binding.

DWC3 IP core from Synopsys is the same across SoC's (OMAP, Exynos..),
vendors are adding glue IP to provide necessary clocks and voltages. 
I think that the DT bindings properly reflect this fact.

Regards,
Ivan 

> Rob